Python on the Mac (was Re: [Python-au] Re: Sydney Python Meeting Thursday 27 July)

Graeme Cross gcross at fastmail.fm
Wed Jul 26 07:30:39 CEST 2006


On Wed, 26 Jul 2006 15:17:17 +1000, "Jonathon Coombes"
<jon at cybersite.com.au> said:
> 
> I would be interested to know who is using Python2.4 on a Macintosh  
> machine currently and how they upgraded from 2.3?
> I seem to have all the right details for the executables and the  
> Libraries etc, but it still says it cannot find the appropriate classes?
> 

Jonathon,

A few questions to help:
  1. What version of Mac OS X are you on?
  2. Did you download a prebuilt installation (if so, which one)? Or did
  you build from source?
  3. Which version of Python 2.4 are you using?
  4. What specific error message(s) are you seeing?

I'm not in front of a Mac at the moment (so can't check if I'm using
2.4.1 or 2.4.3) but I'm using one of the latest builds from  
http://www.python.org/download/mac/ without any issues.

The current recommended version is the Universal Build of 2.4.3:

  http://www.python.org/ftp/python/2.4.3/Universal-MacPython-2.4.3.dmg

Feel welcome to follow this up with me offlist.

Regards,
Graeme

-- 
Graeme Cross
E-mail: gcross at fastmail.net




More information about the python-au mailing list